Sync with portage [Mon Oct 23 14:10:49 MSK 2017].

mhiretskiy 995
root 7 years ago
parent 70db71d505
commit b34b702f4c

@ -11,7 +11,7 @@ DESCRIPTION="Speech synthesizer for English and other languages"
HOMEPAGE="http://espeak.sourceforge.net/"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="portaudio pulseaudio"
COMMON_DEPEND="portaudio? ( >=media-libs/portaudio-19_pre20071207 )

@ -10,7 +10,7 @@ SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="ssl"
RESTRICT="test"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz -> $
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE="acl +cron selinux"
CDEPEND="

@ -1,3 +1,2 @@
DIST mcelog-149.tar.gz 296943 SHA256 a9313ed45cabaf7ef0a4d986ecf24a3c9ced9a4b1e34032d380af4e70c73512f SHA512 d2cb7cb26d4407dd03a425568a19c96e5f53cc9447c58cd105d74a2f69b645ef6b444c9533186aac6b052f0721959a321a3f8061477d1451a62be36add097aeb WHIRLPOOL ddea0a8efca6e5180d4d3ce663a0366b1a2eb78d8d11690e21aea81d3956838013aec7e83f29f6a745a63d18e95e8c71a2b00be135a5982013462b3911aa7f57
DIST mcelog-152.tar.gz 297083 SHA256 7a903710a8ae0a031d337cc1e9e01f5353467e7f9aecea44bd50659793163022 SHA512 e89a4d81c87211f345d2f90dfb36bbb6ef4474745ac878285801b6ab4edd1ebc32feaf38b60f5976e7b9f29700495c2325f0e05c8ec432a22d77c1e9207a5e1a WHIRLPOOL 38e9526e2a16e4f25d0c4b218884c871b84cf0c2416ed80069746d0af3b7c2eff9d17b6f350b04f53564a172fb61b61ff8b51038ca639c37dbfbc7e6d3b34cec
DIST mcelog-153.tar.gz 297099 SHA256 9b827f708855804b6952de6f6cbf2f6523fa1203c621e6050064388f459646f1 SHA512 9a92587c13680e83fd1b89d45c160cec91c6a90cfa32f5858fea444b2013f1a9ec3349edf0f7777908898967b1c1604761f481b91e87fd31b0c5255530b9453d WHIRLPOOL 2572ee54b68fcdab7b83207ef84035cb8096cb30fa225a2d11f823a8b2ecd4d19a728ba7f094e9b67c8f293a4611b2824eb555e6bf646939af47444c101fae14
DIST mcelog-154.tar.gz 297148 SHA256 dde7aa13c5cc4916a168c2a1f68435a41f2236cf222266425942dfbcb735593f SHA512 8a160aaa8a0ed736cb81082321e199e6a6e4f7f6528915752af545db28918e89dcb6bf321a92472d776c61914d08c613900273b3d265a375684e3212547abe38 WHIRLPOOL 5ae469480520ccae572514fa19847235c362248a25d9c37bc2223dffa17547ed7a6cf7203914f5f7e6850be659d051f10424720d64f754a7ff32915f33f31b06

@ -1,52 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit linux-info systemd toolchain-funcs
DESCRIPTION="A tool to log and decode Machine Check Exceptions"
HOMEPAGE="http://mcelog.org/"
SRC_URI="https://github.com/andikleen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="selinux"
RDEPEND="selinux? ( sec-policy/selinux-mcelog )"
CONFIG_CHECK="~X86_MCE"
# TODO: add mce-inject to the tree to support test phase
RESTRICT="test"
src_prepare() {
eapply "${FILESDIR}"/${PN}-0.8_pre1-timestamp-${PN}.patch \
"${FILESDIR}"/${PN}-129-debugflags.patch
eapply_user
tc-export CC
}
src_install() {
default
insinto /etc/cron.daily
newins ${PN}.cron ${PN}
insinto /etc/logrotate.d/
newins ${PN}.logrotate ${PN}
newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
dodoc *.pdf
}
pkg_postinst() {
einfo "The default configuration set is now installed in /etc/${PN}"
einfo "you might want to edit those files."
einfo
einfo "A sample cronjob is installed into /etc/cron.daily"
einfo "without executable bit (system service is the preferred method now)"
}

@ -1,7 +1,7 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="3"
EAPI=6
inherit eutils toolchain-funcs flag-o-matic
@ -16,20 +16,22 @@ IUSE="static"
RDEPEND=">=sys-process/runit-1.4.0"
PATCHES=( "${FILESDIR}"/${PN}-2.1.0-headers.patch )
S=${WORKDIR}/admin/${P}/src
src_prepare() {
epatch "${FILESDIR}"/${PN}-2.1.0-headers.patch
default
use static && append-ldflags -static
echo "$(tc-getCC) ${CFLAGS} ${CPPFLAGS}" > conf-cc
echo "$(tc-getCC) ${CFLAGS} ${LDFLAGS}" > conf-ld
echo "$(tc-getCC) ${CFLAGS} ${CPPFLAGS}" > conf-cc || die
echo "$(tc-getCC) ${CFLAGS} ${LDFLAGS}" > conf-ld || die
}
src_install() {
dobin tryto uncat socklog-check || die
dosbin socklog socklog-conf || die
dobin tryto uncat socklog-check
dosbin socklog socklog-conf
cd ..
cd .. || die
dodoc package/CHANGES
dohtml doc/*.html
doman man/*

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
KEYWORDS="~amd64 ~hppa ppc x86"
IUSE=""
RDEPEND="app-arch/mt-st"

@ -9,7 +9,7 @@ SRC_URI="http://www.coker.com.au/bonnie++/experimental/${P}.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ia64 ~mips ppc ppc64 ~sparc x86"
KEYWORDS="alpha amd64 ~arm ~hppa ia64 ~mips ppc ppc64 ~sparc x86"
IUSE="debug"
S="${WORKDIR}/${P}"

@ -9,7 +9,7 @@ SRC_URI="ftp://ftp.samba.org/pub/tridge/dbench/${P}.tar.gz"
HOMEPAGE="http://samba.org/ftp/tridge/dbench/"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="amd64 ~arm64 hppa ppc ppc64 sparc x86"
KEYWORDS="amd64 ~arm ~arm64 hppa ppc ppc64 sparc x86"
IUSE=""
DEPEND="dev-libs/popt"

@ -13,7 +13,7 @@ SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha ~amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc +gnutls ldap nls readline selinux +smartcard tofu tools usb wks-server"
COMMON_DEPEND_LIBS="

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -15,9 +15,13 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
IUSE="afs +berkdb caps hdb-ldap ipv6 otp +pkinit selinux ssl static-libs test X"
IUSE="afs +berkdb caps hdb-ldap ipv6 libressl otp +pkinit selinux ssl static-libs test X"
CDEPEND="ssl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
CDEPEND="
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
)
berkdb? ( >=sys-libs/db-4.8.30-r1:*[${MULTILIB_USEDEP}] )
!berkdb? ( >=sys-libs/gdbm-1.10-r1[${MULTILIB_USEDEP}] )
caps? ( sys-libs/libcap-ng )

@ -15,9 +15,13 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
IUSE="afs +berkdb caps hdb-ldap ipv6 otp +pkinit selinux ssl static-libs test X"
IUSE="afs +berkdb caps hdb-ldap ipv6 libressl otp +pkinit selinux ssl static-libs test X"
CDEPEND="ssl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
CDEPEND="
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
)
berkdb? ( >=sys-libs/db-4.8.30-r1:*[${MULTILIB_USEDEP}] )
!berkdb? ( >=sys-libs/gdbm-1.10-r1[${MULTILIB_USEDEP}] )
caps? ( sys-libs/libcap-ng )

@ -15,9 +15,13 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd"
IUSE="afs +berkdb caps hdb-ldap ipv6 otp +pkinit selinux ssl static-libs test X"
IUSE="afs +berkdb caps hdb-ldap ipv6 libressl otp +pkinit selinux ssl static-libs test X"
CDEPEND="ssl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
CDEPEND="
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )
libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
)
berkdb? ( >=sys-libs/db-4.8.30-r1:*[${MULTILIB_USEDEP}] )
!berkdb? ( >=sys-libs/gdbm-1.10-r1[${MULTILIB_USEDEP}] )
caps? ( sys-libs/libcap-ng )

@ -0,0 +1,13 @@
Fix build when kdelibs is not installed.
--- a/mainwindow.cpp
+++ b/mainwindow.cpp
@@ -52,7 +52,7 @@
QStandardItemModel *model;
-#include <KDE/KWallet/Wallet>
+#include <KWallet>
using KWallet::Wallet;
Wallet *m_wallet;
QString WalletFolder="Kencfs-Plasma";

@ -30,6 +30,8 @@ RDEPEND="${DEPEND}
S=${WORKDIR}/${MY_P}
PATCHES=( "${FILESDIR}/${P}-include.patch" )
src_prepare() {
default

@ -193,6 +193,17 @@ endif " has("autocmd")
" instead:
let g:skip_defaults_vim = 1
" Enable Omni completion when opening a file only if a specific plugin does
" not already exist for that filetype. This allows Omni completion
" (Ctrl-x/Ctrl-o) to work with any programming language if and only if a syntax
" file exists for the said language.
if exists("+omnifunc")
autocmd Filetype *
\ if &omnifunc == "" |
\ setlocal omnifunc=syntaxcomplete#Complete |
\ endif
endif
" {{{ vimrc.local
if filereadable("@GENTOO_PORTAGE_EPREFIX@/etc/vim/vimrc.local")
source @GENTOO_PORTAGE_EPREFIX@/etc/vim/vimrc.local

@ -33,7 +33,7 @@ pkg_setup() {
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
mkdir -p "${T}"/home || die "mkdir -p failed"
export HOME="${T}"/home
}
@ -44,8 +44,12 @@ src_prepare() {
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
sed -i \
-e '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "sed failed"
# See #77841. We remove this file after the tarball extraction.
rm -v "${S}"/runtime/tools/vimspell.sh || die "rm failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
@ -70,22 +74,25 @@ src_prepare() {
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
"${S}"/src/po/Makefile || die "sed failed"
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
if version_is_at_least 7.3.122; then
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
@ -110,13 +117,18 @@ src_configure() {
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
# Remove src/auto/configure file.
rm -v src/auto/configure || die "rm configure failed"
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e "${file}" ]]; then
addwrite $file
fi
done
# Let Portage do the stripping. Some people like that.
@ -141,9 +153,7 @@ src_configure() {
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake tools
}
@ -174,14 +184,14 @@ src_install() {
newins "${FILESDIR}"/vimrc-r5 vimrc
eprefixify "${ED}"/etc/vim/vimrc
if use minimal ; then
if use minimal; then
# To save space, install only a subset of the files.
# Helps minimalize the livecd, bug 65144.
eshopts_push -s extglob
rm -fr "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent}
rm -fr "${ED}${vimfiles}"/{macros,print,tools,tutor}
rm "${ED}"/usr/bin/vimtutor
rm -rv "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent} || die "rm failed"
rm -rv "${ED}${vimfiles}"/{macros,print,tools,tutor} || die "rm failed"
rm -v "${ED}"/usr/bin/vimtutor || die "rm failed"
local keep_colors="default"
ignore=$(rm -fr "${ED}${vimfiles}"/colors/!(${keep_colors}).vim )
@ -194,16 +204,7 @@ src_install() {
eshopts_pop
fi
# These files might have slight security issues, so we won't
# install them. See bug #77841. We don't mind if these don't
# exist.
rm "${ED}${vimfiles}"/tools/{vimspell.sh,tcltags} 2>/dev/null
newbashcomp "${FILESDIR}"/xxd-completion xxd
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
}
pkg_postinst() {

@ -11,10 +11,6 @@ off-line or in a Web environment. It uses very efficient techniques of
relationship and consanguinity computing, developed in collaboration with Didier
Rémy, research Director at INRIA.
</longdescription>
<use>
<flag name="ocamlopt">Enable ocamlopt support (<pkg>dev-lang/ocaml</pkg>
native code compiler)</flag>
</use>
<upstream>
<remote-id type="github">geneweb/geneweb</remote-id>
</upstream>

@ -18,7 +18,7 @@ SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.2.x/${MY_P}.tar.xz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~x64-macos ~x86-macos"
KEYWORDS="alpha ~amd64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~x64-macos ~x86-macos"
IUSE="aspell cups debug docbook dia dot enchant gnumeric html +hunspell +latex monolithic-build nls +qt5 rcs rtf subversion svg"
LANGS="ar ca cs da de el en es eu fi fr gl he hu ia id it ja nb nn pl pt_BR pt_PT ro ru sk sr sv tr uk zh_CN zh_TW"

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -50,7 +50,7 @@ CDEPEND="!app-office/openerp-web
dev-python/unittest2[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[jpeg,${PYTHON_USEDEP}]
dev-python/pillow[jpeg(+),${PYTHON_USEDEP}]
${PYTHON_DEPS}
"

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -50,7 +50,7 @@ CDEPEND="!app-office/openerp-web
dev-python/unittest2[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[jpeg,${PYTHON_USEDEP}]
dev-python/pillow[jpeg(+),${PYTHON_USEDEP}]
${PYTHON_DEPS}
"

@ -12,7 +12,7 @@ SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc nls sqlite"
BOTHDEPEND="nls? ( virtual/libintl )

@ -16,7 +16,7 @@ LICENSE="GPL-2"
SLOT="0"
IUSE=""
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}

@ -12,7 +12,7 @@ SRC_URI="mirror://gentoo/${P}.tar.xz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="nls static"
RDEPEND="dev-libs/iniparser:0"

@ -14,7 +14,7 @@ if [[ ${PV} == 9999 ]]; then
S="${WORKDIR}/${P}/repoman"
else
SRC_URI="https://dev.gentoo.org/~dolsen/releases/${PN}/${P}.tar.bz2"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Repoman is a Quality Assurance tool for Gentoo ebuilds"

@ -19,7 +19,7 @@ fi
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="libedit static vanilla"
RDEPEND="!static? ( libedit? ( dev-libs/libedit ) )"

@ -10,7 +10,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE=""
src_install() {

@ -10,7 +10,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE=""
src_install() {

@ -3,6 +3,8 @@
EAPI=6
inherit toolchain-funcs
DESCRIPTION="A Markdown-to HTML translator written in C"
HOMEPAGE="http://www.pell.portland.or.us/~orc/Code/discount/"
SRC_URI="http://www.pell.portland.or.us/~orc/Code/${PN}/${P}.tar.bz2"
@ -46,6 +48,7 @@ src_configure() {
--debian-glitch
)
einfo "Running ${configure_call[@]}"
CC="$(tc-getCC)" \
"${configure_call[@]}" || die
}

@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/djvu/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="debug doc jpeg tiff xml"
RDEPEND="jpeg? ( virtual/jpeg:0 )

@ -15,7 +15,7 @@ SRC_URI="
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris"
IUSE="debug nls test"
RDEPEND="

@ -59,7 +59,7 @@ SRC_URI+=" jce? ( ${JCE_FILE} )"
LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
SLOT="1.8"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc64-solaris ~x64-solaris"
KEYWORDS="~amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="alsa commercial cups derby doc examples +fontconfig headless-awt javafx jce nsplugin selinux source visualvm"
REQUIRED_USE="javafx? ( alsa fontconfig )"

@ -33,7 +33,7 @@ SRC_URI="
LICENSE="Oracle-BCLA-JavaSE"
SLOT="1.8"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 x86"
IUSE="alsa commercial cups +fontconfig headless-awt javafx jce nsplugin selinux"
RESTRICT="fetch preserve-libs strip"

@ -30,7 +30,7 @@ HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="

@ -17,7 +17,7 @@ SRC_URI="http://archive.mozilla.org/pub/js/${MY_PN}${PV}.tar.gz
LICENSE="NPL-1.1"
SLOT="17"
# "MIPS, MacroAssembler is not supported" wrt #491294 for -mips
KEYWORDS="~alpha ~amd64 ~arm -hppa ia64 -mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
KEYWORDS="alpha ~amd64 ~arm -hppa ia64 -mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug jit minimal static-libs test"
REQUIRED_USE="debug? ( jit )"

@ -16,7 +16,7 @@ SRC_URI="https://archive.mozilla.org/pub/js/${MY_P}.tar.bz2
LICENSE="NPL-1.1"
SLOT="24"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
KEYWORDS="alpha ~amd64 ~arm ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug icu jit minimal static-libs +system-icu test"
RESTRICT="ia64? ( test )"

@ -1,2 +1,3 @@
DIST apr-util-1.5.4.tar.bz2 694427 SHA256 a6cf327189ca0df2fb9d5633d7326c460fe2b61684745fd7963e79a6dd0dc82e SHA512 ca877d8e444218c4ba0f28063ee075ddcd6c0a487b692dc80ef442fe775ec4eeb337c6957853772e8082e27edcb450d7e909c2c6c3ab4a95bbf0a5ee5ea4a2d1 WHIRLPOOL bc4ce82785513f4bf2207bb26758abc79e6bfef62a57d3e2ead570abc618b321c302390b9dcd8eab1ec44a9e5d398c2cc4d35af2549636e20d7c20678725ac2e
DIST apr-util-1.6.0.tar.bz2 428750 SHA256 8474c93fa74b56ac6ca87449abe3e155723d5f534727f3f33283f6631a48ca4c SHA512 dc88c13ef6116ed1c67584436cb8ca94ef77d358cb60c7cafab953d36d00564776414faed43397755e79bcf1b14dfca81cad2e280a2dd4c31f6e4559583effd0 WHIRLPOOL a41e90c781d6fd0792ba4d4941744d61bee2289b72529ccca92fbcb671234e80d7faee7e6fa8cf86e6f2d822e6429cff17721a96fdb6527f0802cbd6ed4c1284
DIST apr-util-1.6.1.tar.bz2 428595 SHA256 d3e12f7b6ad12687572a3a39475545a072608f4ba03a6ce8a3778f607dd0035b SHA512 40eff8a37c0634f7fdddd6ca5e596b38de15fd10767a34c30bbe49c632816e8f3e1e230678034f578dd5816a94f246fb5dfdf48d644829af13bf28de3225205d WHIRLPOOL 66ec9e7f5c596c0eba93329d61b565013bd16388e958bf50f947d977e11ef0a562cf72aa6cce3f24d0748f0f296a011ecbf2a61b6ee5333e0baf3e91ea429fa7

@ -1,11 +1,11 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="4"
EAPI=6
# Usually apr-util has the same PV as apr, but in case of security fixes, this may change.
# APR_PV="${PV}"
APR_PV="1.4.6"
APR_PV="1.6.2"
inherit autotools db-use eutils libtool multilib toolchain-funcs
@ -16,13 +16,13 @@ SRC_URI="mirror://apache/apr/${P}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="berkdb doc freetds gdbm ldap libressl mysql nss odbc openssl postgres sqlite static-libs"
IUSE="berkdb doc gdbm ldap libressl mysql nss odbc openssl postgres sqlite static-libs"
#RESTRICT="test"
RDEPEND="dev-libs/expat
RDEPEND="
dev-libs/expat
>=dev-libs/apr-${APR_PV}:1
berkdb? ( >=sys-libs/db-4 )
freetds? ( dev-db/freetds )
berkdb? ( >=sys-libs/db-4:= )
gdbm? ( sys-libs/gdbm )
ldap? ( =net-nds/openldap-2* )
mysql? ( =virtual/mysql-5* )
@ -32,22 +32,49 @@ RDEPEND="dev-libs/expat
!libressl? ( dev-libs/openssl:0 )
libressl? ( dev-libs/libressl )
)
postgres? ( dev-db/postgresql )
sqlite? ( dev-db/sqlite:3 )"
DEPEND="${RDEPEND}
postgres? ( dev-db/postgresql:= )
sqlite? ( dev-db/sqlite:3 )
"
DEPEND="
${RDEPEND}
>=sys-devel/libtool-2.4.2
doc? ( app-doc/doxygen )"
doc? ( app-doc/doxygen )
"
DOCS=(CHANGES NOTICE README)
PATCHES=(
"${FILESDIR}"/${PN}-1.5.3-sysroot.patch #385775
)
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.5.3-sysroot.patch #385775
default
# Fix usage of libmysqlclient (bug #620230)
grep -lrF "libmysqlclient_r" "${S}" \
| xargs sed 's@libmysqlclient_r@libmysqlclient@g' -i \
|| die
mv configure.{in,ac} || die
eautoreconf
elibtoolize
}
src_configure() {
local myconf=()
local myconf=(
--datadir="${EPREFIX}"/usr/share/apr-util-1
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-expat="${EPREFIX}"/usr
--without-sqlite2
$(use_with gdbm)
$(use_with ldap)
$(use_with mysql)
$(use_with nss)
$(use_with odbc)
$(use_with openssl)
$(use_with postgres pgsql)
$(use_with sqlite sqlite3)
)
tc-is-static-only && myconf+=( --disable-util-dso )
@ -71,21 +98,7 @@ src_configure() {
myconf+=( --with-crypto ) # 518708
fi
econf \
--datadir="${EPREFIX}"/usr/share/apr-util-1 \
--with-apr="${SYSROOT}${EPREFIX}"/usr \
--with-expat="${EPREFIX}"/usr \
--without-sqlite2 \
$(use_with freetds) \
$(use_with gdbm) \
$(use_with ldap) \
$(use_with mysql) \
$(use_with nss) \
$(use_with odbc) \
$(use_with openssl) \
$(use_with postgres pgsql) \
$(use_with sqlite sqlite3) \
"${myconf[@]}"
econf "${myconf[@]}"
# Use the current env build settings rather than whatever apr was built with.
sed -i -r \
-e "/^(apr_builddir|apr_builders|top_builddir)=/s:=:=${SYSROOT}:" \
@ -103,13 +116,20 @@ src_compile() {
src_install() {
default
find "${ED}" -name "*.la" -delete
find "${ED}usr/$(get_libdir)/apr-util-${SLOT}" -name "*.a" -delete
use static-libs || find "${ED}" -name "*.a" -not -name "*$(get_libname)" -delete
find "${ED}" -name "*.la" -delete || die
if [[ -d "${ED%/}/usr/$(get_libdir)/apr-util-${SLOT}" ]] ; then
find "${ED%/}/usr/$(get_libdir)/apr-util-${SLOT}" -name "*.a" -delete || die
fi
if ! use static-libs ; then
find "${ED}" -name "*.a" -not -name "*$(get_libname)" -delete || die
fi
use doc && dohtml -r docs/dox/html/*
if use doc ; then
docinto html
dodoc -r docs/dox/html/*
fi
# This file is only used on AIX systems, which Gentoo is not,
# and causes collisions between the SLOTs, so remove it.
rm -f "${ED}usr/$(get_libdir)/aprutil.exp"
rm "${ED%/}/usr/$(get_libdir)/aprutil.exp" || die
}

@ -1,2 +1,3 @@
DIST apr-1.5.2.tar.bz2 826885 SHA256 7d03ed29c22a7152be45b8e50431063736df9e1daa1ddf93f6a547ba7a28f67a SHA512 d1156ad16abf07887797777b56c2147c890f16d8445829b3e3b4917950d24c5fd2f8febd439992467a5ea0511da562c0fb4a7cfd8a235ab55882388bfa2b919d WHIRLPOOL 3f6fbb9410f7cd3ace2f80f361a02b190e14d744f38dbd6f87a5c60b4b1c4a99cd902ba9351a235d9f3bab044a981de21fb6c193d3ab3caba2448bf6c4e1bd1b
DIST apr-1.6.2.tar.bz2 853363 SHA256 09109cea377bab0028bba19a92b5b0e89603df9eab05c0f7dbd4dd83d48dcebd SHA512 20f449fde522f186b919b64ce6f90073b267557e17438607d31af917eca7941222dd7a7379d66f1430ff68f7e28fbccd140d24f3ca7aae8a876a550b19de284a WHIRLPOOL 4fd43497ed091f9da2a8c8a57017344dc7492b18793e8a16eae480ddbba8f18ebc66925418d8b5fa8fa6fa023b59a482d62c8ba1ee49a575aa6f7918b703ea30
DIST apr-1.6.3.tar.bz2 854100 SHA256 131f06d16d7aabd097fa992a33eec2b6af3962f93e6d570a9bd4d85e95993172 SHA512 f6b8679ae7fafff793c825c78775c84a646267c441710a50664589850e13148719b4eab48ab6e7c95b7aed085cff831115687434a7b160dcc2faa0eae63ac996 WHIRLPOOL b17edd2b8fed082f8e25e56728fec3d3629debdb7bcc78dab94aa6665371a97ece5b321d37caf717106abd03740b5724108364553106055ce7fa7c9b50a196ed

@ -0,0 +1,146 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools libtool ltprune multilib toolchain-funcs
DESCRIPTION="Apache Portable Runtime Library"
HOMEPAGE="https://apr.apache.org/"
SRC_URI="mirror://apache/apr/${P}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc elibc_FreeBSD older-kernels-compatibility selinux static-libs +urandom"
CDEPEND="elibc_glibc? ( >=sys-apps/util-linux-2.16 )
elibc_mintlib? ( >=sys-apps/util-linux-2.18 )"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-apache )"
DEPEND="${CDEPEND}
>=sys-devel/libtool-2.4.2
doc? ( app-doc/doxygen )"
DOCS=( CHANGES NOTICE README )
PATCHES=(
"${FILESDIR}"/${PN}-1.5.0-mint.patch
"${FILESDIR}"/${PN}-1.5.0-libtool.patch
"${FILESDIR}"/${PN}-1.5.0-cross-types.patch
"${FILESDIR}"/${PN}-1.5.0-sysroot.patch #385775
)
src_prepare() {
default
AT_M4DIR="build" eautoreconf
elibtoolize
eapply "${FILESDIR}/config.layout.patch"
}
src_configure() {
local myconf=(
--enable-layout=gentoo
--enable-nonportable-atomics
--enable-posix-shm
--enable-threads
$(use_enable static-libs static)
)
[[ ${CHOST} == *-mint* ]] && export ac_cv_func_poll=no
if use older-kernels-compatibility; then
local apr_cv_accept4 apr_cv_dup3 apr_cv_epoll_create1 apr_cv_sock_cloexec
export apr_cv_accept4="no"
export apr_cv_dup3="no"
export apr_cv_epoll_create1="no"
export apr_cv_sock_cloexec="no"
fi
if tc-is-cross-compiler; then
# The apache project relies heavily on AC_TRY_RUN and doesn't
# have any sane cross-compiling fallback logic.
export \
ac_cv_file__dev_zero="yes" \
ac_cv_func_sem_open="yes" \
ac_cv_negative_eai="yes" \
ac_cv_o_nonblock_inherited="no" \
ac_cv_struct_rlimit="yes" \
ap_cv_atomic_builtins="yes" \
apr_cv_accept4="yes" \
apr_cv_dup3="yes" \
apr_cv_epoll="yes" \
apr_cv_epoll_create1="yes" \
apr_cv_gai_addrconfig="yes" \
apr_cv_mutex_recursive="yes" \
apr_cv_mutex_robust_shared="yes" \
apr_cv_process_shared_works="yes" \
apr_cv_pthreads_lib="-pthread" \
apr_cv_sock_cloexec="yes" \
apr_cv_tcp_nodelay_with_cork="yes"
fi
if use urandom; then
myconf+=( --with-devrandom=/dev/urandom )
elif (( ${CHOST#*-hpux11.} <= 11 )); then
: # no /dev/*random on hpux11.11 and before, $PN detects this.
else
myconf+=( --with-devrandom=/dev/random )
fi
tc-is-static-only && myconf+=( --disable-dso )
# shl_load does not search runpath, but hpux11 supports dlopen
[[ ${CHOST} == *-hpux11* ]] && myconf+=( --enable-dso=dlfcn )
if [[ ${CHOST} == *-solaris2.10 ]]; then
case $(<$([[ ${CHOST} != ${CBUILD} ]] && echo "${EPREFIX}/usr/${CHOST}")/usr/include/atomic.h) in
*atomic_cas_ptr*) ;;
*)
elog "You do not have Solaris Patch ID "$(
[[ ${CHOST} == sparc* ]] && echo 118884 || echo 118885
)" (Problem 4954703) installed on your host ($(hostname)),"
elog "using generic atomic operations instead."
myconf+=( --disable-nonportable-atomics )
;;
esac
fi
econf "${myconf[@]}"
}
src_compile() {
if tc-is-cross-compiler; then
# This header is the same across targets, so use the build compiler.
emake tools/gen_test_char
tc-export_build_env BUILD_CC
${BUILD_CC} ${BUILD_CFLAGS} ${BUILD_CPPFLAGS} ${BUILD_LDFLAGS} \
tools/gen_test_char.c -o tools/gen_test_char || die
fi
emake
if use doc; then
emake dox
fi
}
src_install() {
default
# Prallel install breaks since apr-1.5.1
#make -j1 DESTDIR="${D}" install || die
prune_libtool_files --all
if use doc; then
docinto html
dodoc -r docs/dox/html/*
fi
# This file is only used on AIX systems, which Gentoo is not,
# and causes collisions between the SLOTs, so remove it.
# Even in Prefix, we don't need this on AIX.
rm -f "${ED%/}/usr/$(get_libdir)/apr.exp"
}

@ -16,7 +16,7 @@ SRC_URI="mirror://gnu/libffcall/${MY_PV}.tar.gz"
# under GNU LGPL." -ffcall author
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ia64 ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="alpha ~amd64 ~arm64 ~hppa ia64 ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
S=${WORKDIR}/${MY_PV}

@ -11,7 +11,7 @@ SRC_URI="http://www.digip.org/jansson/releases/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86"
IUSE="doc static-libs"
DEPEND="doc? ( >=dev-python/sphinx-1.0.4 )"

@ -3,3 +3,4 @@ DIST libinput-1.7.2.tar.xz 923720 SHA256 0b1e5a6c106ccc609ccececd9e33e6b27c8b01f
DIST libinput-1.7.3.tar.xz 922464 SHA256 096d612d2711f0caa2de544976ff3729e6233511ab373808644cc2dd5affcb1d SHA512 2262dc56d213a4d3ea765e870af200e2c336a166baa1bbdf5205e3ce70faefc777429ba09563c5dd79feb5442f53abc84e04a0f32a06bb622d6e120bb8ad152b WHIRLPOOL 06ea9038f7b3127b3238fc863b1ec862647a08b1ab4956fcfd433093dc3c68585ba3b166515370681ed158a48ce6a5670c6b8dcb6d536af25f8bda2c84c74286
DIST libinput-1.8.2.tar.xz 939664 SHA256 013518ee0adb2287e6e1f08412efba2137320738cadb5399b783738f04cbab38 SHA512 555a7680cc8aaf62c5370a865f3aff0a933d42d94a3d8861c072666b02c9e1be45ea39de9a749a9575cdfb613b6150e412e18559d94d4919f21ca4680a3c76a7 WHIRLPOOL c897c788fe29085f2f8f79f0441f4543d4cfa2f5c4af2357539c9ef49662d7eed2e46fa904bc3291a559a5effd091584da71a6e05ab5c11cb03970a27afd7366
DIST libinput-1.8.3.tar.xz 941832 SHA256 2fe2e2f52f0971a9c43541b8f26582ca8df6ed4bb9050e85eb40d4ff6b13142d SHA512 88006d217e3507858fa6b9ac1f25c267255fb51d1bcf1208d2afd423bf2a9292944bc5526ea91f27fad3ff04c2f9f43ab3aa25fd9fb7ace1231ecd33ddf18de6 WHIRLPOOL ebe128f8e9bce71dc7e878cd7dd7815cb0a358f91945ea47945568a1994f1a80c2d6f8db7d5f8f9c5e554c22fcc13733ca4bdcb68b47a72e16e55098904a93e2
DIST libinput-1.9.0.tar.xz 455248 SHA256 fd717b1f9cf867b2ca1763a5a4638423af178f3a70aa34d278e8bf42777d108e SHA512 4111dd02ef7778c246da28ead284a77014f6eaa4b7f90f36ee124af809e31c70ac065216ef5648d1d2dc525355176e2aa22788bfbb19f5f6d25276fbba42e150 WHIRLPOOL 7a6da661226ef8721bbad446a75be75a3d556d9e886cf44d2296a0fe17207ac181ebd4a4f25dca7ae4072d97cb9759d626d26a1572f007c6b1e9499a0d71beaf

@ -0,0 +1,56 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit meson udev
DESCRIPTION="Library to handle input devices in Wayland"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/libinput/"
SRC_URI="https://www.freedesktop.org/software/${PN}/${P}.tar.xz"
LICENSE="MIT"
SLOT="0/10"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE="doc input_devices_wacom test"
# Tests require write access to udev rules directory which is a no-no for live system.
# Other tests are just about logs, exported symbols and autotest of the test library.
RESTRICT="test"
RDEPEND="
input_devices_wacom? ( >=dev-libs/libwacom-0.20 )
>=dev-libs/libevdev-1.3
>=sys-libs/mtdev-1.1
virtual/libudev
"
DEPEND="${RDEPEND}
virtual/pkgconfig
doc? (
>=app-doc/doxygen-1.8.3
>=media-gfx/graphviz-2.38.0
)
"
# test? (
# >=dev-libs/check-0.9.10
# dev-util/valgrind
# sys-libs/libunwind )
src_configure() {
# gui can be built but will not be installed
local emesonargs=(
-Ddebug-gui=false
-Ddocumentation="$(usex doc true false)"
-Dlibwacom="$(usex input_devices_wacom true false)"
-Dtests="$(usex test true false)"
-Dudev-dir="$(get_udevdir)"
)
meson_src_configure
}
src_install() {
meson_src_install
if use doc ; then
docinto html
dodoc -r "${BUILD_DIR}"/html/.
fi
find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
}

@ -11,7 +11,7 @@ SRC_URI="https://www.nih.at/libzip/${P}.tar.xz"
LICENSE="BSD"
SLOT="0/5"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos"
IUSE="bzip2 static-libs"
RDEPEND="

@ -1,4 +1,12 @@
DIST openssl-0.9.8zh.tar.gz 3818524 SHA256 f1d9f3ed1b85a82ecf80d0e2d389e1fda3fca9a4dba0bf07adbf231e1a5e2fd6 SHA512 b97fa2468211f86c0719c68ad1781eff84f772c479ed5193d6da14bac086b4ca706e7d851209d9df3f0962943b5e5333ab0def00110fb2e517caa73c0c6674c6 WHIRLPOOL 8ed3362e6aed89cd6ae02438bc3fb58ff3a91afb8a2d401d1d66c1ee4fd96f4befb50558131dd03a60fc15b588172fc1ede5d56bb1f68e184453bfe3b34f9abf
DIST openssl-1.0.2k.tar.gz 5309236 SHA256 6b3977c61f2aedf0f96367dcfb5c6e578cf37e7b8d913b4ecb6643c3cb88d8c0 SHA512 0d314b42352f4b1df2c40ca1094abc7e9ad684c5c35ea997efdd58204c70f22a1abcb17291820f0fff3769620a4e06906034203d31eb1a4d540df3e0db294016 WHIRLPOOL ffa3d89a078db6829f1fff21779a19c87e059600162e6d7d3114b8440ba5fa7d1a08e04594b6ed8ab47e148782de299d7ec338f2ba2d466bf7737b0749f590cd
DIST openssl-1.0.2l.tar.gz 5365054 SHA256 ce07195b659e75f4e1db43552860070061f156a98bb37b672b101ba6e3ddf30c SHA512 047d964508ad6025c79caabd8965efd2416dc026a56183d0ef4de7a0a6769ce8e0b4608a3f8393d326f6d03b26a2b067e6e0c750f35b20be190e595e8290c0e3 WHIRLPOOL fa5b303fd7007eb2b7afe0b6a7d90a6676b738bf39addc1005f15a4664e61e72f9465d5020477abcf6b3e420d46a618e44751ad9e21671c70e5dbe8cdc768bfc
DIST openssl-1.0.2l_ec_curve.c 17254 SHA256 43ad99527a9f494c97c1efd4a87b49508455437da5de1b9ecd89b0d36fb764c8 SHA512 8e92fb100bcf4bd918c82b9a6cbd75a55abe1a2c08230a007e441c51577f974f8cc336e9ac8a672b32641480428ca8cead5380da1fe81bacb088145a1b754a15 WHIRLPOOL 5a43777a2886a2e7bd41eeb3a96c90c62b0eaa771249a50eb5996993f43384dca5f24993ed6a6deede2c4f119f896fb11dbc26b72650c909c856bd8c313501f0
DIST openssl-1.0.2l_ectest.c 30735 SHA256 14f12b1db5121f3f58466f52ad10555c038c281e90e53c0a2f7940a754bb4d80 SHA512 f2e4d34327b490bc8371f0845c69df3f9fc51ea16f0ea0de0411a0c1fa9d49bb2b6fafc363eb3b3cd919dc7c24e4a0d075c6ff878c01d70dae918f2540874c19 WHIRLPOOL 0d708b382d97e1f20a03e695f0a990fb9fd6cd8ab8ced29e072d52ca3f09f87d18c287d6134fd5ac2243ca541982f4d9eaa2fa8964d62b6b8f1a4b879e8fd997
DIST openssl-1.0.2l_hobble-openssl 1302 SHA256 7ec32aab6a1db2124de52c3918cc7f7e487972581e30235447eed15d59415384 SHA512 3d757a4708e74a03dd5cb9b8114dfe442ed9520739a6eca693be4c4265771696f1449ea06d1c9bcfc6e94fc9b0dd0c10e153f1c3b0334831c0550b36cd63326e WHIRLPOOL b9630ce76492bff481d0bd48b72449d1e1d4fbb98c2387c4824d84833796adaba716e10976b3130eed9fd9442511a71604d9944600ba6be5253087f865cefe8c
DIST openssl-1.1.0-build.patch 3028 SHA256 c626ac8b34df5d55a7272a741f87f06dc06cc20ac80085048788a2c76c08c25f SHA512 b19a912900970052f80c67f28975e793ae9e70ebfc62efae0544e09931079e98c4cd29ce1cc8d937ceca97aff9a12fdc1ff9ce6c2b47fea68c79e7065464a0f0 WHIRLPOOL 950febb159139b145eb7de5bda1115465fa8551234182e6d15459ab5519213f515b4c3e3a3136d05c440d3eec04a7247461d36c2d45136a6f1963613d5896b3e
DIST openssl-1.1.0-ec-curves.patch 2967 SHA256 da60dfa01ed244cd3f77f60cc2ef479a36e64a58fa5e242aa03647c698cc1a42 SHA512 8fb9c6759ae2077ad3697ba77e85ab3970fd8b3f64b21eb260b4f6333b7ebf2f5a53c7eee311229edfbd96a2b904ec5e5e00dfa5b62cf1105fece13069077bd2 WHIRLPOOL e7293ef84f6c36e8e5f5ec8158023fdca484bc9082e73956bd0cc74a17c880350a49799146c855a37f116d743e7c93e54cbe4aa7f70483e235d03687a15a46a5
DIST openssl-1.1.0f.tar.gz 5278176 SHA256 12f746f3f2493b2f39da7ecf63d7ee19c6ac9ec6a4fcd8c229da8a522cb12765 SHA512 340ab3f38c90dea346e543b58bc0eff0adede15be212ad20b7cf38718a7f94fab51996da414855c180540f7488b8bd31d8b9a0d04bb19159f735c46d8f6df22c WHIRLPOOL bb4ce1d100c5eb567de0139e4a1c0a2bb1cd308bd014704d6bb796d3fcfc16b91fe69839068944831746e0b937a6ccb234b5cea3b4911fab4283500ed380f0b6
DIST openssl-1.1.0f_ec_curve.c 18393 SHA256 9dd0e1f422116da45eb16936fbbbe4e4e05e7a8fc0f359594af76e935c37716e SHA512 ee3e576825bccdf02cede4205ab92c42ae9dd3a8e75ce58617a3a5980a61d144eb3c5197d9dcd378a5d49bf34c4b2f591aa6a619fee92b7a22825d72681ab879 WHIRLPOOL 6f43f3b8037f5edf323ea865d1150eaa63ee60f60b512b52e37b752b328855e57eae70c812071caba0f91eeeb379c4dd9574806ba50d5bee38ad3b0e3fe03f55
DIST openssl-1.1.0f_ectest.c 29907 SHA256 37682adb07ba260339fad3fead87b186fc8c26321a0aad45deefed4c25ad87cb SHA512 90cec9d46326cb7216236811c8e963032b6fa7500117cea36f28534eb50a5ab1260c7f9a5c8c490d845236b0769576a8d97bc7471f970e9c5e70cb3408c20dae WHIRLPOOL f39da1830f5a6492add40f460af9d85b2fbfac0d5d8ff4eb4ba3cb16e6ff50a030aee38c518d7a06d1167f59030ded5496000793ad4cf2de7ff36f22eeefe7c7
DIST openssl-1.1.0f_hobble-openssl 1117 SHA256 ab168bd8bf578f7361524f9a12eecbbaf41fd7e2c852a0158aafd3bce9cac569 SHA512 fa9cc70afa11a7a292548b4bddbba8159824a364ce5c279b483768e6ae2aa4b5491d9bf2cc734819f30a11c8ee0d91bcb991c4a7ab357296aeb4c04feac74826 WHIRLPOOL 94537166ad8f5cacba2d30d0b6e4676d896cab157be5891fbeecdb2efa10a322d77e2b35a44ff1d474e860dcece63a8688f9df5edf8fe859bf67b410148ea64a

@ -7,7 +7,7 @@
</maintainer>
<use>
<flag name="asm">Support assembly hand optimized crypto functions (i.e. faster run time)</flag>
<flag name="bindist">Disable EC algorithms (as they seem to be patented) -- note: changes the ABI</flag>
<flag name="bindist">Disable/Restrict EC algorithms (as they seem to be patented) -- note: changes the ABI</flag>
<flag name="rfc3779">Enable support for RFC 3779 (X.509 Extensions for IP Addresses and AS Identifiers)</flag>
<flag name="sslv2">Support for the old/insecure SSLv2 protocol -- note: not required for TLS/https</flag>
<flag name="sslv3">Support for the old/insecure SSLv3 protocol -- note: not required for TLS/https</flag>

@ -0,0 +1,296 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils flag-o-matic toolchain-funcs multilib multilib-minimal
MY_P=${P/_/-}
DESCRIPTION="full-strength general purpose cryptography library (including SSL and TLS)"
HOMEPAGE="http://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz"
LICENSE="openssl"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
IUSE="+asm bindist gmp kerberos rfc3779 sctp cpu_flags_x86_sse2 sslv2 +sslv3 static-libs test +tls-heartbeat vanilla zlib"
RESTRICT="!bindist? ( bindist )"
RDEPEND=">=app-misc/c_rehash-1.7-r1
gmp? ( >=dev-libs/gmp-5.1.3-r1[static-libs(+)?,${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[static-libs(+)?,${MULTILIB_USEDEP}] )
kerberos? ( >=app-crypt/mit-krb5-1.11.4[${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
>=dev-lang/perl-5
sctp? ( >=net-misc/lksctp-tools-1.0.12 )
test? (
sys-apps/diffutils
sys-devel/bc
)"
PDEPEND="app-misc/ca-certificates"
# This does not copy the entire Fedora patchset, but JUST the parts that
# are needed to make it safe to use EC with RESTRICT=bindist.
# See openssl.spec for the matching numbering of SourceNNN, PatchNNN
SOURCE1=hobble-openssl
SOURCE12=ec_curve.c
SOURCE13=ectest.c
#PATCH1=openssl-1.1.0-build.patch # Fixes EVP testcase for EC
#PATCH37=openssl-1.1.0-ec-curves.patch
FEDORA_GIT_BASE='https://src.fedoraproject.org/cgit/rpms/openssl.git/plain/'
FEDORA_GIT_BRANCH='f25'
FEDORA_SRC_URI=()
FEDORA_SOURCE=( $SOURCE1 $SOURCE12 $SOURCE13 )
FEDORA_PATCH=( $PATCH1 $PATCH37 )
for i in "${FEDORA_SOURCE[@]}" ; do
FEDORA_SRC_URI+=( "${FEDORA_GIT_BASE}/${i}?h=${FEDORA_GIT_BRANCH} -> ${P}_${i}" )
done
for i in "${FEDORA_PATCH[@]}" ; do # Already have a version prefix
FEDORA_SRC_URI+=( "${FEDORA_GIT_BASE}/${i}?h=${FEDORA_GIT_BRANCH} -> ${i}" )
done
SRC_URI+=" bindist? ( ${FEDORA_SRC_URI[@]} )"
S="${WORKDIR}/${MY_P}"
MULTILIB_WRAPPED_HEADERS=(
usr/include/openssl/opensslconf.h
)
src_prepare() {
if use bindist; then
# This just removes the prefix, and puts it into WORKDIR like the RPM.
for i in "${FEDORA_SOURCE[@]}" ; do
cp -f "${DISTDIR}"/"${P}_${i}" "${WORKDIR}"/"${i}" || die
done
# .spec %prep
bash "${WORKDIR}"/"${SOURCE1}" || die
cp -f "${WORKDIR}"/"${SOURCE12}" "${S}"/crypto/ec/ || die
cp -f "${WORKDIR}"/"${SOURCE13}" "${S}"/crypto/ec/ || die # Moves to test/ in OpenSSL-1.1
for i in "${FEDORA_PATCH[@]}" ; do
epatch "${DISTDIR}"/"${i}"
done
# Also see the configure parts below:
# enable-ec \
# $(use_ssl !bindist ec2m) \
# $(use_ssl !bindist srp) \
fi
# keep this in sync with app-misc/c_rehash
SSL_CNF_DIR="/etc/ssl"
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
if ! use vanilla ; then
epatch "${FILESDIR}"/${PN}-1.0.0a-ldflags.patch #327421
epatch "${FILESDIR}"/${PN}-1.0.2i-parallel-build.patch
epatch "${FILESDIR}"/${PN}-1.0.2a-parallel-obj-headers.patch
epatch "${FILESDIR}"/${PN}-1.0.2a-parallel-install-dirs.patch
epatch "${FILESDIR}"/${PN}-1.0.2a-parallel-symlinking.patch #545028
epatch "${FILESDIR}"/${PN}-1.0.2-ipv6.patch
epatch "${FILESDIR}"/${PN}-1.0.2a-x32-asm.patch #542618
epatch "${FILESDIR}"/${PN}-1.0.1p-default-source.patch #554338
epatch_user #332661
fi
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:='${EPREFIX}'/usr/share/man:') \
Makefile.org \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
# since we're forcing $(CC) as makedep anyway, just fix
# the conditional as always-on
# helps clang (#417795), and versioned gcc (#499818)
sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
chmod a+rx gentoo.config
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
append-cppflags -DOPENSSL_NO_BUF_FREELISTS
sed -i '1s,^:$,#!'${EPREFIX}'/usr/bin/perl,' Configure #141906
# The config script does stupid stuff to prompt the user. Kill it.
sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
# RC5: Expired http://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
# See if our toolchain supports __uint128_t. If so, it's 64bit
# friendly and can use the nicely optimized code paths. #460790
local ec_nistp_64_gcc_128
# Disable it for now though #469976
#if ! use bindist ; then
# echo "__uint128_t i;" > "${T}"/128.c
# if ${CC} ${CFLAGS} -c "${T}"/128.c -o /dev/null >&/dev/null ; then
# ec_nistp_64_gcc_128="enable-ec_nistp_64_gcc_128"
# fi
#fi
# https://github.com/openssl/openssl/issues/2286
if use ia64 ; then
replace-flags -g3 -g2
replace-flags -ggdb3 -ggdb2
fi
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
# Fedora hobbled-EC needs 'no-ec2m', 'no-srp'
echoit \
./${config} \
${sslout} \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
enable-ec \
$(use_ssl !bindist ec2m) \
$(use_ssl !bindist srp) \
${ec_nistp_64_gcc_128} \
enable-idea \
enable-mdc2 \
enable-rc5 \
enable-tlsext \
$(use_ssl asm) \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl rfc3779) \
$(use_ssl sctp) \
$(use_ssl sslv2 ssl2) \
$(use_ssl sslv3 ssl3) \
$(use_ssl tls-heartbeat heartbeats) \
$(use_ssl zlib) \
--prefix="${EPREFIX}"/usr \
--openssldir="${EPREFIX}"${SSL_CNF_DIR} \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
)
sed -i \
-e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
-e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 depend
emake all
# rehash is needed to prep the certs/ dir; do this
# separately to avoid parallel build issues.
emake rehash
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
emake INSTALL_PREFIX="${D}" install
}
multilib_src_install_all() {
# openssl installs perl version of c_rehash by default, but
# we provide a shell version via app-misc/c_rehash
rm "${ED}"/usr/bin/c_rehash || die
dodoc CHANGES* FAQ NEWS README doc/*.txt doc/c-indentation.el
dohtml -r doc/*
use rfc3779 && dodoc engines/ccgost/README.gost
# This is crappy in that the static archives are still built even
# when USE=static-libs. But this is due to a failing in the openssl
# build system: the static archives are built as PIC all the time.
# Only way around this would be to manually configure+compile openssl
# twice; once with shared lib support enabled and once without.
use static-libs || rm -f "${ED}"/usr/lib*/lib*.a
# create the certs directory
dodir ${SSL_CNF_DIR}/certs
cp -RP certs/* "${ED}"${SSL_CNF_DIR}/certs/ || die
rm -r "${ED}"${SSL_CNF_DIR}/certs/{demo,expired}
# Namespace openssl programs to prevent conflicts with other man pages
cd "${ED}"/usr/share/man
local m d s
for m in $(find . -type f | xargs grep -L '#include') ; do
d=${m%/*} ; d=${d#./} ; m=${m##*/}
[[ ${m} == openssl.1* ]] && continue
[[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
mv ${d}/{,ssl-}${m}
# fix up references to renamed man pages
sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
ln -s ssl-${m} ${d}/openssl-${m}
# locate any symlinks that point to this man page ... we assume
# that any broken links are due to the above renaming
for s in $(find -L ${d} -type l) ; do
s=${s##*/}
rm -f ${d}/${s}
ln -s ssl-${m} ${d}/ssl-${s}
ln -s ssl-${s} ${d}/openssl-${s}
done
done
[[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
dodir /etc/sandbox.d #254521
echo 'SANDBOX_PREDICT="/dev/crypto"' > "${ED}"/etc/sandbox.d/10openssl
diropts -m0700
keepdir ${SSL_CNF_DIR}/private
}
pkg_postinst() {
ebegin "Running 'c_rehash ${EROOT%/}${SSL_CNF_DIR}/certs/' to rebuild hashes #333069"
c_rehash "${EROOT%/}${SSL_CNF_DIR}/certs" >/dev/null
eend $?
}

@ -0,0 +1,282 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils flag-o-matic toolchain-funcs multilib multilib-minimal
MY_P=${P/_/-}
DESCRIPTION="full-strength general purpose cryptography library (including SSL and TLS)"
HOMEPAGE="http://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz"
LICENSE="openssl"
SLOT="0/1.1" # .so version of libssl/libcrypto
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
IUSE="+asm bindist rfc3779 sctp cpu_flags_x86_sse2 static-libs test tls-heartbeat vanilla zlib"
RESTRICT="!bindist? ( bindist )"
RDEPEND=">=app-misc/c_rehash-1.7-r1
zlib? ( >=sys-libs/zlib-1.2.8-r1[static-libs(+)?,${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
>=dev-lang/perl-5
sctp? ( >=net-misc/lksctp-tools-1.0.12 )
test? (
sys-apps/diffutils
sys-devel/bc
)"
PDEPEND="app-misc/ca-certificates"
# This does not copy the entire Fedora patchset, but JUST the parts that
# are needed to make it safe to use EC with RESTRICT=bindist.
# See openssl.spec for the matching numbering of SourceNNN, PatchNNN
SOURCE1=hobble-openssl
SOURCE12=ec_curve.c
SOURCE13=ectest.c
PATCH1=openssl-1.1.0-build.patch # Fixes EVP testcase for EC
PATCH37=openssl-1.1.0-ec-curves.patch
FEDORA_GIT_BASE='https://src.fedoraproject.org/cgit/rpms/openssl.git/plain/'
FEDORA_GIT_BRANCH='f27'
FEDORA_SRC_URI=()
FEDORA_SOURCE=( $SOURCE1 $SOURCE12 $SOURCE13 )
FEDORA_PATCH=( $PATCH1 $PATCH37 )
for i in "${FEDORA_SOURCE[@]}" ; do
FEDORA_SRC_URI+=( "${FEDORA_GIT_BASE}/${i}?h=${FEDORA_GIT_BRANCH} -> ${P}_${i}" )
done
for i in "${FEDORA_PATCH[@]}" ; do # Already have a version prefix
FEDORA_SRC_URI+=( "${FEDORA_GIT_BASE}/${i}?h=${FEDORA_GIT_BRANCH} -> ${i}" )
done
SRC_URI+=" bindist? ( ${FEDORA_SRC_URI[@]} )"
S="${WORKDIR}/${MY_P}"
MULTILIB_WRAPPED_HEADERS=(
usr/include/openssl/opensslconf.h
)
PATCHES=(
"${FILESDIR}"/${PN}-1.0.2a-x32-asm.patch #542618
)
src_prepare() {
if use bindist; then
# This just removes the prefix, and puts it into WORKDIR like the RPM.
for i in "${FEDORA_SOURCE[@]}" ; do
cp -f "${DISTDIR}"/"${P}_${i}" "${WORKDIR}"/"${i}" || die
done
# .spec %prep
bash "${WORKDIR}"/"${SOURCE1}" || die
cp -f "${WORKDIR}"/"${SOURCE12}" "${S}"/crypto/ec/ || die
cp -f "${WORKDIR}"/"${SOURCE13}" "${S}"/test/ || die
for i in "${FEDORA_PATCH[@]}" ; do
epatch "${DISTDIR}"/"${i}"
done
# Also see the configure parts below:
# enable-ec \
# $(use_ssl !bindist ec2m) \
fi
# keep this in sync with app-misc/c_rehash
SSL_CNF_DIR="/etc/ssl"
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
if ! use vanilla ; then
epatch "${PATCHES[@]}"
epatch_user #332661
fi
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
# Make DOCDIR Gentoo compliant
sed -i \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:='${EPREFIX}'/usr/share/man:') \
-e "/^DOCDIR/s@\$(BASENAME)@&-${PF}@" \
Configurations/unix-Makefile.tmpl \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s@=.*@=set -x@' Makefile.shared
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
chmod a+rx gentoo.config
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
append-cppflags -DOPENSSL_NO_BUF_FREELISTS
# Prefixify Configure shebang (#141906)
sed \
-e "1s,/usr/bin/env,${EPREFIX}&," \
-i Configure || die
# Remove test target when FEATURES=test isn't set
if ! use test ; then
sed \
-e '/^$config{dirs}/s@ "test",@@' \
-i Configure || die
fi
# The config script does stupid stuff to prompt the user. Kill it.
sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
# RC5: Expired http://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
# See if our toolchain supports __uint128_t. If so, it's 64bit
# friendly and can use the nicely optimized code paths. #460790
local ec_nistp_64_gcc_128
# Disable it for now though #469976
#if ! use bindist ; then
# echo "__uint128_t i;" > "${T}"/128.c
# if ${CC} ${CFLAGS} -c "${T}"/128.c -o /dev/null >&/dev/null ; then
# ec_nistp_64_gcc_128="enable-ec_nistp_64_gcc_128"
# fi
#fi
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
# Fedora hobbled-EC needs 'no-ec2m'
# 'srp' was restricted until early 2017 as well.
echoit \
./${config} \
${sslout} \
--api=1.0.0 \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
disable-deprecated \
enable-ec \
$(use_ssl !bindist ec2m) \
enable-srp \
${ec_nistp_64_gcc_128} \
enable-idea \
enable-mdc2 \
enable-rc5 \
$(use_ssl asm) \
$(use_ssl rfc3779) \
$(use_ssl sctp) \
$(use_ssl tls-heartbeat heartbeats) \
$(use_ssl zlib) \
--prefix="${EPREFIX}"/usr \
--openssldir="${EPREFIX}"${SSL_CNF_DIR} \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
# Fix quoting for sed
local DEFAULT_CFLAGS=$(grep ^CFLAGS= Makefile | LC_ALL=C sed \
-e 's:^CFLAGS=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
-e 's:\\:\\\\:g' \
)
sed -i \
-e "/^CFLAGS=/s|=.*|=${DEFAULT_CFLAGS} ${CFLAGS}|" \
-e "/^LDFLAGS=/s|=[[:space:]]*$|=${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 depend
emake all
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
emake DESTDIR="${D}" install
}
multilib_src_install_all() {
# openssl installs perl version of c_rehash by default, but
# we provide a shell version via app-misc/c_rehash
rm "${ED}"/usr/bin/c_rehash || die
dodoc CHANGES* FAQ NEWS README doc/*.txt doc/${PN}-c-indent.el
dohtml -r doc/*
# This is crappy in that the static archives are still built even
# when USE=static-libs. But this is due to a failing in the openssl
# build system: the static archives are built as PIC all the time.
# Only way around this would be to manually configure+compile openssl
# twice; once with shared lib support enabled and once without.
use static-libs || rm -f "${ED}"/usr/lib*/lib*.a
# create the certs directory
keepdir ${SSL_CNF_DIR}/certs
# Namespace openssl programs to prevent conflicts with other man pages
cd "${ED}"/usr/share/man
local m d s
for m in $(find . -type f | xargs grep -L '#include') ; do
d=${m%/*} ; d=${d#./} ; m=${m##*/}
[[ ${m} == openssl.1* ]] && continue
[[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
mv ${d}/{,ssl-}${m}
# fix up references to renamed man pages
sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
ln -s ssl-${m} ${d}/openssl-${m}
# locate any symlinks that point to this man page ... we assume
# that any broken links are due to the above renaming
for s in $(find -L ${d} -type l) ; do
s=${s##*/}
rm -f ${d}/${s}
ln -s ssl-${m} ${d}/ssl-${s}
ln -s ssl-${s} ${d}/openssl-${s}
done
done
[[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
dodir /etc/sandbox.d #254521
echo 'SANDBOX_PREDICT="/dev/crypto"' > "${ED}"/etc/sandbox.d/10openssl
diropts -m0700
keepdir ${SSL_CNF_DIR}/private
}
pkg_postinst() {
ebegin "Running 'c_rehash ${EROOT%/}${SSL_CNF_DIR}/certs/' to rebuild hashes #333069"
c_rehash "${EROOT%/}${SSL_CNF_DIR}/certs" >/dev/null
eend $?
}

@ -15,7 +15,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}.tar.
LICENSE="BSD-2"
# Subslot == SONAME version
SLOT="0/1.0.0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 sparc x86"
IUSE="static-libs test"
RDEPEND=">=dev-libs/protobuf-2.6.0:0=[${MULTILIB_USEDEP}]"

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -16,6 +16,7 @@ IUSE=""
RDEPEND="
>=dev-perl/Danga-Socket-1.520.0
>=dev-perl/Gearman-1.07
!!sys-cluster/gearmand
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker

@ -0,0 +1,34 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=PALIK
DIST_VERSION=v1.130.1
inherit perl-module
DESCRIPTION="Gearman distributed job system - worker/client connector"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND="
>=dev-perl/Danga-Socket-1.520.0
>=dev-perl/Gearman-1.07
!!sys-cluster/gearmand
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
dev-perl/Test-Script
)
"
PATCHES=( "${FILESDIR}/${P}-Use-saner-name-in-process-listing.patch" )
src_install() {
perl-module_src_install
newinitd "${FILESDIR}"/gearmand-init.d-1.09 gearmand
newconfd "${FILESDIR}"/gearmand-conf.d-1.09 gearmand
}

@ -1 +1,2 @@
DIST Gearman-Server-1.12.tar.gz 16399 SHA256 d2270b76d250ce49c25a88fcb696bda4fce4a1025ec34292f40f194ca243ee29 SHA512 4a845db0bd981f20fe59cce26840f235379f33603d9f7e445e678fef97c20943ce237a6a8c5f3c8219a6548e24c6347f9aa1e3bfda9033d0afe8ffdaefe9f826 WHIRLPOOL c1fbfee799efb66f837882d6400e6f8a7d7171a6ef5c027d167e7e34af1686949f9064403f253aef4bfb7b5b9fc9396af7360f4d53f9a1273ed2d715fd562ecf
DIST Gearman-Server-v1.130.1.tar.gz 17585 SHA256 be1b6f5a3eef125a44e5daf2bfdf05d4f1b4161badc7dc82bcc84b8c8231535e SHA512 e8ed734ab7b2afb7e173397f91c58d990bdd223518234ebed77ba46dfd475afdf5aa90f805e26f7642aa7ec1429cf8766145344777e2af8912c2e02add57d033 WHIRLPOOL fae314160459b95674932845b4c582eca14d7fc14ba9d2e525dbd93e19c883161c391cb2c6c3b9c62a494a60e1bc7d3d842c6df9ef5d7f535f0c2474d6a26050

@ -0,0 +1,33 @@
From acd6722c16e17ddbdf6c73c99c693b7674f0fea7 Mon Sep 17 00:00:00 2001
From: "Robin H. Johnson" <robbat2@gentoo.org>
Date: Sat, 12 May 2007 22:16:37 -0700
Subject: Use saner name in process listing.
Normally the binary will turn up in the process list as:
/usr/bin/perl $SCRIPTNAME
By adding a single line, we can make it be simply '$SCRIPTNAME'.
This makes writing init.d scripts signficently easier.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
---
bin/gearmand | 3 +++
1 file changed, 3 insertions(+)
diff --git a/bin/gearmand b/bin/gearmand
index 6046a99..68d1bcf 100755
--- a/bin/gearmand
+++ b/bin/gearmand
@@ -130,6 +130,9 @@ my ($daemonize, $nokeepalive, $notify_pid, $opt_pidfile, $accept, $wakeup,
$wakeup_delay, $conf_host,);
my $conf_port = 4730;
+# Rename binary in process list to make init scripts saner
+$0 = $_ = $0;
+
Getopt::Long::GetOptions(
'd|daemonize' => \$daemonize,
'p|port=i' => \$conf_port,
--
2.14.2

@ -0,0 +1,42 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=PALIK
DIST_VERSION=2.004.009
inherit perl-module
DESCRIPTION="Gearman distributed job system, client and worker libraries"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND="
virtual/perl-Carp
virtual/perl-IO
virtual/perl-IO-Socket-IP
dev-perl/IO-Socket-SSL
dev-perl/List-MoreUtils
virtual/perl-Scalar-List-Utils
virtual/perl-Socket
virtual/perl-Storable
dev-perl/String-CRC32
virtual/perl-Time-HiRes
>=virtual/perl-version-0.770.0
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
dev-perl/File-Which
virtual/perl-Perl-OSType
>=dev-perl/Proc-Guard-0.70.0
dev-perl/Test-Exception
virtual/perl-Test-Simple
>=dev-perl/Test-TCP-2.170.0
dev-perl/Test-Timer
)
"
mydoc="CHANGES HACKING TODO"

@ -3,3 +3,4 @@ DIST Gearman-2.004.002.tar.gz 46165 SHA256 b520d3aefc989164e8e023b978abb926207a7
DIST Gearman-2.004.003.tar.gz 46222 SHA256 34441d73e26556065362ba02ba9921b001cca603762b7d846fcd29ae169f2d2e SHA512 6860e1795f795ab5d08098ba6b9fa96ef5ce1893041971e29757ce6d0a27e385cab5e9ea670ae6522a092a414bd108894c4f0e91f885b66341ade37c22be24a9 WHIRLPOOL e99e866eca2830c169485912f2f02bc952c1c450de077d7f26a588615d3bd2096a07fad48f356cb26ef83dc2a3eb5f2ac437fb58e27c0c2982a1e27a7c0db2e2
DIST Gearman-2.004.006.tar.gz 46875 SHA256 caff2baaaa53b21520c4960b502533519d067167f8249f4f004695e7fa794990 SHA512 e2d4f1c70eeea985d7b437bfd01f7b560b576f61e6f82638cb7c93c8a0f45819ba6477d0fb4edd4f12f19d1667896b4165195c72531bf3856368aac174cb66c4 WHIRLPOOL a94ae2fcf5ba7bd8135f15987d9d541024d9c3716ca1b70b5a16ae2d74cc598eb17ad74d2f1e6f0f462004884ec6405deabd0396a15b7cd0c214687e9d3926bf
DIST Gearman-2.004.007.tar.gz 46892 SHA256 b8284531a40d660901d44fa9b6f670ff738ef4d766ea6e12c3a963eab153f34d SHA512 fcfdaa9b0c7a8699639833d1d9d424a6b8784aed8c37930f8d329dae5e2ae9b5ddd1f33c7f1fa379132300fc99dcb1b2df2af56d2110fecf64a84115b3dda5bc WHIRLPOOL e5b68e3e3a9f7ee357349b02ac47feb5763bfa6851280e9c5d29c44197ad207bdedb633316138872ce98dc1597ccdded901060fd470e82fe7242d070ff825f75
DIST Gearman-2.004.009.tar.gz 47063 SHA256 6990f04b520227d32262a786604ff44da7d3b316e5ef4c5bad78a42b8f8ca048 SHA512 4c0ad8dfa8af1200f29b61954efba03fa0d629a40bfea379025b5f01b2f8305394a516680fa7564d68c0231359ed5866daff9278b4350fbdc1a0b20bdb34eeed WHIRLPOOL b5eb08aa99b096659ec8d02d65570f91b792a7155ddcf05434c57bb37c4bee7f2a382f48e8d0de8354c10557cb9d32f25c7a52e3581cb79c8abc9c652fadabc4

@ -0,0 +1,37 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=RJBS
DIST_VERSION=0.100
inherit perl-module
DESCRIPTION="Getopt::Long with usage text"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~ppc-aix ~ppc-macos ~x86-solaris"
IUSE="test minimal"
CONFLICTS="!<dev-perl/MooseX-Getopt-0.660.0"
# File::Basename -> perl
# List::Util, Scalar::Util -> perl-Scalar-List-Utils
# Sub::Exporter::Util -> Sub-Exporter
RDEPEND="${CONFLICTS}
virtual/perl-Carp
>=virtual/perl-Getopt-Long-2.330.0
>=dev-perl/Params-Validate-0.970.0
virtual/perl-Scalar-List-Utils
>=dev-perl/Sub-Exporter-0.972.0
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? ( >=virtual/perl-CPAN-Meta-2.120.900 )
>=dev-perl/CPAN-Meta-Check-0.11.0
virtual/perl-File-Spec
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
>=dev-perl/Test-Warnings-0.5.0
)
"

@ -1,2 +1,3 @@
DIST Getopt-Long-Descriptive-0.097.tar.gz 26399 SHA256 a6e484962727ae2d882d5d35c5bedd48bc13730a7e4c739a7daa74f525422883 SHA512 9b1a11bce5a64b0dbae93d410593c6411790db8eac1169eb1703fdd4b0bffc0cb0ce12fd02c3de0b4fea98151bcc98af55cf46d84d658c8292291bf3baf5d28d WHIRLPOOL 19c2185574a3cadc8d1ca01ca4ab7c9dbb5c7938573a471f464fa5f937379248fc0ff3da71ef23b0a14fc67409e3268858b4e5ea65e71798b042802ef6e81854
DIST Getopt-Long-Descriptive-0.099.tar.gz 29651 SHA256 fc4d1ed0bf12abc3d01ba38b0376c1b0fe6c6e59152b61b5f500a1e3f7c8c5e9 SHA512 3b6fdf06eab25f53c5624e42a8024d059d1ee1c33361184a1d45fc5f0f9b521ad0749916ca7ec7d9561bc2c297adba520ff1fd5efa6706ca480697fad71290da WHIRLPOOL 938e7585b014fd08b88e492b1168aaef4810f7e1906bf0a2825c47048e0f92237ed6bd55bd4f0deb2244b0b3f25c8495add77a3a33a6c43503087beab3a902cb
DIST Getopt-Long-Descriptive-0.100.tar.gz 31366 SHA256 1451e79310d1630de37690e3aba5c38ea5f01a486c5a43f0cd95bef2a02dffb6 SHA512 0efd6f707487b9b44d5c3b5c9e46c3718546e44bf1b66c198be6ebfc922e7bdb23a9c57c5a9c0985dc3769617141696750e1bd982457247b679e3bdb5f9f16c7 WHIRLPOOL 48f3518025cb538cec37b4a88f5618b4ad8335261a479294d684aca2f781c3f5f5f92258993e978e6852c84d60964ee92494973acb0f8b725ecbd51775190653

@ -0,0 +1,54 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=SUNDQUIST
DIST_EXAMPLES=("examples/*")
inherit perl-module
DESCRIPTION="Google AdWords API Perl Client Library"
HOMEPAGE="https://github.com/googleads/googleads-perl-lib"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
PATCHES=(
"${FILESDIR}/4.14.0-no-dot-in-inc.patch"
"${FILESDIR}/4.14.0-unescaped-lbracket.patch"
)
RDEPEND="
dev-perl/Class-Load
>=dev-perl/Class-Std-Fast-0.0.5
dev-perl/Crypt-OpenSSL-RSA
dev-perl/File-HomeDir
virtual/perl-File-Spec
dev-perl/IO-Socket-SSL
dev-perl/JSON-Parse
dev-perl/LWP-Protocol-https
dev-perl/libwww-perl
dev-perl/Log-Log4perl
>=dev-perl/SOAP-WSDL-2.00.10
virtual/perl-Scalar-List-Utils
dev-perl/Template-Toolkit
dev-perl/URI
dev-perl/XML-Simple
dev-perl/XML-XPath
examples? (
virtual/perl-Digest-SHA
virtual/perl-File-Temp
dev-perl/HTTP-Server-Simple
)
"
DEPEND="${RDEPEND}
>=dev-perl/Module-Build-0.400.0
test? (
dev-perl/Config-Properties
dev-perl/Data-Uniqid
virtual/perl-File-Temp
dev-perl/Test-Deep
dev-perl/Test-Exception
dev-perl/Test-MockObject
virtual/perl-Test-Simple
)
"

@ -1 +1,2 @@
DIST Google-Ads-AdWords-Client-4.14.0.tar.gz 7757731 SHA256 dfe96f306631fa50db95fa4e43e07da1e888e539a697ce7c7af3372f75bfa55d SHA512 e9a90400620a14062b97b14752f5f28df9fe16c84efd09bc6fa9968c4d97672d31bbe9737efc965a7c7321825a52bb1d8e8c4c415f51c6794f7da83bfb71f3c6 WHIRLPOOL 68b6b625fe6f1a6c9e5945ec355225fb95035f1554724448500b527599eb330323dadc3f18f8f162e4c09b0f29b7169623e037bff657005661cbeda6d40b32c0
DIST Google-Ads-AdWords-Client-4.18.0.tar.gz 8921326 SHA256 dbcef5aa6c7c0407e6b8ee8df839c38c2290b81cc3c8272e40b15662856f6120 SHA512 b0905c69f52909f160e563fd4e24413256d14797d7d9bf40bb1193d7bb42deb65c4030a6d117a9c6a3b1fa6bcbb20ac6a5922dcfc4ba7c67566157e4097d5391 WHIRLPOOL cb47ec5ff14ef8a7d871e0bab54ea120a935ce92cd66b17388ec913397ebe2fdda2544973a24edd3b07dcfa3380916df55d55f928151000f47ddf75d1655b3f4

File diff suppressed because it is too large Load Diff

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Parse, Analyze and Manipulate Perl (without perl)"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
KEYWORDS="alpha ~amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
IUSE="test"
RDEPEND="

@ -1 +0,0 @@
DIST PerlIO-via-symlink-0.05.tar.gz 15656 SHA256 4107d4c34a6a3629453448c25695d92f82522aff64e29b716b56a5af586b2d52 SHA512 752bdeef202d8dbd89a6db6107213f45dc37ecc50c3e441acd6be5db7be0002d3b403d2cc91b4a0d0154b0551a08dc61738275688393e960dfc03a389a610508 WHIRLPOOL 5748d8001a58530e0a5ea7f89df0ec5167d73df4bdf9eb567f67e8e0f37b499f011dff3a7428f35c32b828e6bf2b80e8da433ade72ac7244e25b65d8a0823d03

@ -1,24 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
MODULE_AUTHOR=CLKAO
MODULE_VERSION=0.05
inherit perl-module
DESCRIPTION="PerlIO::via::symlink - PerlIO layer for symlinks"
SLOT="0"
KEYWORDS="amd64 ia64 ~ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
IUSE=""
DEPEND="dev-perl/Module-Install
dev-perl/ExtUtils-AutoInstall"
src_prepare() {
rm -fr "${S}"/inc || die # bug 483812
}
SRC_TEST="do"

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
<upstream>
<remote-id type="cpan">PerlIO-via-symlink</remote-id>
<remote-id type="cpan-module">PerlIO::via::symlink</remote-id>
</upstream>
</pkgmetadata>

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Ensure that a platform has weaken support"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
KEYWORDS="alpha amd64 ~arm hppa ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
IUSE=""
SRC_TEST="do"

@ -1 +1,2 @@
DIST Glib-1.325.tar.gz 297456 SHA256 04b3ff35a21d06509f2eb5769d161217cc3c92dd60204fc778cf089eb80b7b15 SHA512 f4d2d23d4c702ba7a3058494bdfba4d725bd2310ed55bba7114d5abab15f4c8d8f4b40ef6eeec3e733da659a572a6601aaa8ce1964b9cf549e4bed734e016f70 WHIRLPOOL 732595b48c4ff49ba030c41896be1dc49ba153ee5d3a7236340443d793212ebc942d2291d4202f51896686d96fabb1d1826ca0d6ce933304dcdb0aa19c982706
DIST Glib-1.326.tar.gz 297125 SHA256 020d0308220cb6e03a086bd45d33dd8fe03b265c502bfc2b4e58f2dbe64c365f SHA512 28f4f6d544389b7bedd5ccfce17659759e0996cdfea4f73e140de336b6395f5688bbb4707e3cf3e29b39f840eb8db9fc52dcbdaeb51154ae8fded2975ce9308d WHIRLPOOL 03362651fef21667327acc1dccddcb93b5b97bd10d1c3e5d080946e48cd56d615654543a558b11c01b4d12a85c71283fc2a8c9d5d527f78be9481f6a79e39495

@ -0,0 +1,30 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_NAME=Glib
DIST_AUTHOR=XAOC
DIST_VERSION=1.326
inherit perl-module
DESCRIPTION="Glib - Perl wrappers for the GLib utility and Object libraries"
HOMEPAGE="http://gtk2-perl.sf.net/ ${HOMEPAGE}"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
IUSE=""
RDEPEND="
>=dev-libs/glib-2
"
# Log::Agent optional by Storable but has caused unexplained segv's
# from build/doc.pl : https://bugs.gentoo.org/529080
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
>=dev-perl/ExtUtils-Depends-0.300.0
>=dev-perl/ExtUtils-PkgConfig-1.0.0
virtual/pkgconfig
dev-perl/Log-Agent
"

@ -1,2 +0,0 @@
DIST rpm-build-perl-0.82.tar.gz 27903 SHA256 595d2bf27e4e7791085d8f92d666634925433a0763a214e1ffbce0a128723ffd SHA512 d8f129ea82cb45ab4c34da37dca5868da1c38fdecf6d90e89981fa4fb880c7312d8a0a4c2d1ae7b443696c1d43c100d173838a478e6cd596447a76779d4c1b10 WHIRLPOOL e76823c8190578875f900a2ed4372e5da85266785b82a860845e89ed2add9743153e67e4808b9d01fcbe56eb9c0a25c6172ee9c85339e51837a9ed78d45e81a7
DIST rpm-build-perl-0.820.0-perl526.patch.gz 50632 SHA256 84d1856fd0290a8354a9ce1357191a6edbab79ddab9dcf4803020bce71349c42 SHA512 d9a239c7331f7778c87887ab3e10a428cb5fd4e2598c01f63040517c9f91c81b493374f1f1894fa39e0567b1f2afca91906ed3e38cc7d4e94c285fd709e48eeb WHIRLPOOL a7fda0767d6cb3e39b2adba7852c267cbfd730a69a1fc9c71788c45496230e34decf0204996b826704e9c8f161b930e481a64da7a2bc6cdb8fb2a9236822c778

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
</pkgmetadata>

@ -1,30 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=ATOURBIN
DIST_VERSION=0.82
inherit perl-module
DESCRIPTION="Automatically extract Perl dependencies"
SRC_URI+=" https://dev.gentoo.org/~dilfridge/distfiles/${P}-perl526.patch.gz"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
virtual/perl-Encode
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
virtual/perl-Test-Simple
)
"
PATCHES=( "${WORKDIR}/${P}-perl526.patch" )
#DIST_TEST=skip
# one subtest fails, reason so far unknown

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
MODULE_AUTHOR=ATOURBIN
MODULE_VERSION=0.82
inherit perl-module
DESCRIPTION="Automatically extract Perl dependencies"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
virtual/perl-Encode
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
virtual/perl-Test-Simple
)
"
SRC_TEST=skip
# one subtest fails, reason so far unknown

@ -40,7 +40,7 @@ DEPEND="${RDEPEND}
dev-python/h5py[${PYTHON_USEDEP}]
dev-python/jplephem[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP},jpeg]
dev-python/pillow[${PYTHON_USEDEP},jpeg(+)]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/sphinx-gallery[${PYTHON_USEDEP}]

@ -33,7 +33,7 @@ RDEPEND="
>=dev-python/numpy-1.10[${PYTHON_USEDEP}]
dev-python/objgraph[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP},jpeg]
dev-python/pillow[${PYTHON_USEDEP},jpeg(+)]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]

@ -4,3 +4,4 @@ DIST cryptography_vectors-1.8.1.tar.gz 26653746 SHA256 2fd61facea08800ca98ac923f
DIST cryptography_vectors-1.9.tar.gz 26653563 SHA256 bbf767727ad1b9d4cb684fb2b36db4cc78bd420fa6999e7e6ca1aab8c30d78f3 SHA512 3c37dc39496b66539f54bf377b4653b59abaa81fc9fbd68e2d337acbfe9c7fd80801b37ddddc2f7698356b22fb9bcd9f8a41ff95ee405b208c267c0fcba56ead WHIRLPOOL 801a6e58cf48b68422905de1a2ccc4ce5955799df505cfcb2a0870a7826acaa29d5f1de0c0752c8b326ea5d3c0530cee660ba030255da47650862eb3425f64da
DIST cryptography_vectors-2.0.2.tar.gz 27011827 SHA256 512f1e699dfbb41376e938e6dc6d7f1f40b9578f873438f002e2e5212e13717b SHA512 ab14bdf664e6df08c8436eb24c4465d3080aacd4e6cb47a0113b0877f869cd91d4184ad9122a428b323e91316b686eeb167c4e932773cac1e7b2adbc9309ca36 WHIRLPOOL 9c699e29a636ac56afcd12d938a316d4c89ebf55330fb747d61cf24d77273694e91bc5cc212e80c13497b72d24668ef738ecbb47eaefaf7891c046d20d729064
DIST cryptography_vectors-2.0.3.tar.gz 27011810 SHA256 beb831aa73663a224f4d7520483ed02da544533bb03b26ec07a5f9a0dd0941e1 SHA512 a944ca7781d47e6e81d69c32a717a19c2f461412e38f4d2b93cb02309bacdf01d766f7227a20b520faae2db20cf3dca194ed3c34363dcc70866d9ef6200f65cc WHIRLPOOL c2f35a4421fab2744daa3be10a2eedb461bd8db148b088df94fa3a473bcb4df46312a3e88dadac9df7ae1276e1fe16c38788b946cae2789c093b04ef1aea00ff
DIST cryptography_vectors-2.1.1.tar.gz 27255936 SHA256 92f1300dd2b0a5812ca5d28003b7a11eb9eadba8c1c8c2b5150a0132d4a1fd64 SHA512 fa32a52a3e187d62c3a8eb4262795d0a9762fe8bb5d8464bc9bca7b1a56c6e19a3a14bfd0b2f56f4a048a8cb4dd05e105a90925dd4ee0697a76de3577faf88a3 WHIRLPOOL a6fdc7e45f1f514b787ff60db3d9e399fa9bba7aa128370995a885b66362f5bbf7436f81937fe3a9edba3abc8294f3b155570fe7f5674458ddd1d128ece3e98c

@ -0,0 +1,25 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
inherit distutils-r1
MY_PN=${PN/-/_}
MY_P=${MY_PN}-${PV}
DESCRIPTION="Test vectors for the cryptography package"
HOMEPAGE="https://pypi.python.org/pypi/cryptography-vectors/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
LICENSE="|| ( Apache-2.0 BSD )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""
S=${WORKDIR}/${MY_P}

@ -4,3 +4,4 @@ DIST cryptography-1.8.1.tar.gz 423560 SHA256 323524312bb467565ebca7e50c8ae5e9674
DIST cryptography-1.9.tar.gz 409664 SHA256 5518337022718029e367d982642f3e3523541e098ad671672a90b82474c84882 SHA512 815e9c09366935f8603a3e6e74c28ce79175596d00dbcd19d3792505237bd1cf953a4f401c2b97e4beaa7f2bbdcf9d7f95c4753d001a07fa816830af97cdd24e WHIRLPOOL b79a10de82b2cf98b27535f0b018f651038ed235f5e63eed48da52a87efaf672057e147b9c1b23701da0505d52cc85558ad3b6e692670a9f9e63061b381500d8
DIST cryptography-2.0.2.tar.gz 427303 SHA256 3780b2663ee7ebb37cb83263326e3cd7f8b2ea439c448539d4b87de12c8d06ab SHA512 a71219ff52006a7c8bf1553d0f132c747566c630281ef89aac40c65b193b1f0074fc9cda1de7057c76b452113dfb6188c83baef3ed9c05ff18adbc8b7bba646b WHIRLPOOL 2c3b3da3d2d578c0ba29230c0955fd48688fd5039f08eacefc4017c5cd357d1096cdc79a271ff4e7319c1bb344edee12f8c184c33f12569226612a4dccfb6d11
DIST cryptography-2.0.3.tar.gz 427544 SHA256 d04bb2425086c3fe86f7bc48915290b13e798497839fbb18ab7f6dffcf98cc3a SHA512 fa569c4f5a994e2bd90810649fdf48115bfd5ff46790c849991e8f7a7c8b5435402f92453e4365426ee645623b3bb509c9bb781657c4b4e81e3a36b58ba5461c WHIRLPOOL 4bbbfb4c57a5c4de7c84654d6474bd9b7b0d1eb9ed1f63d91a360b2987187f7bb1910ff4ca540b37fd3e98a00b37d5963a92b2d6ae0acfaab1636f512e887ca3
DIST cryptography-2.1.1.tar.gz 441477 SHA256 2699ed21e1f73dd1bdb7b0b22a517295de07809d535b23e200dd22166037fe6f SHA512 d021f7af1cb4c6430049d2213405b7bea84bc0bde9e9f92c99c87dd835b2f28eb28024d65090756d2cc72b63510f25d71c55e473ce00e1d24736c15037998adb WHIRLPOOL 1095cc8698775904019744bb7c7410f405183fa4b497f2a1a66bb3922176e2dacab3c050eb9d081fa0bf07aed268782950e9953d10582e4d57e953d30d93618c

@ -0,0 +1,51 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1 flag-o-matic
DESCRIPTION="Library providing cryptographic recipes and primitives"
HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( Apache-2.0 BSD )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x64-solaris"
IUSE="libressl test"
RDEPEND="
!libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist(-)] )
libressl? ( dev-libs/libressl )
$(python_gen_cond_dep '>=dev-python/cffi-1.7:=[${PYTHON_USEDEP}]' 'python*')
$(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 pypy{,3})
>=dev-python/idna-2.1[${PYTHON_USEDEP}]
>=dev-python/asn1crypto-0.21.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/six-1.4.1[${PYTHON_USEDEP}]
virtual/python-ipaddress[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
>=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
test? (
~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/iso8601[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
dev-python/pyasn1-modules[${PYTHON_USEDEP}]
>=dev-python/pytest-2.9.0[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)"
DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
python_configure_all() {
append-cflags $(test-flags-CC -pthread)
}
python_test() {
py.test -v -v -x || die "Tests fail with ${EPYTHON}"
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -36,7 +36,7 @@ DEPEND="${RDEPEND}
dev-python/flask-babelex[${PYTHON_USEDEP}]
sci-libs/Shapely[${PYTHON_USEDEP}]
dev-python/geoalchemy2[${PYTHON_USEDEP}]
>=dev-python/pillow-2.9[${PYTHON_USEDEP},jpeg]
>=dev-python/pillow-2.9[${PYTHON_USEDEP},jpeg(+)]
)"
S="${WORKDIR}/${MY_P}"

@ -36,7 +36,7 @@ DEPEND="${RDEPEND}
dev-python/flask-babelex[${PYTHON_USEDEP}]
sci-libs/Shapely[${PYTHON_USEDEP}]
dev-python/geoalchemy2[${PYTHON_USEDEP}]
>=dev-python/pillow-2.9[${PYTHON_USEDEP},jpeg]
>=dev-python/pillow-2.9[${PYTHON_USEDEP},jpeg(+)]
)"
S="${WORKDIR}/${MY_P}"

@ -1,2 +1,3 @@
DIST Pillow-3.4.2.zip 11042238 SHA256 85b237840ad8b30a1572bf9e3898a26c77910a56554d73ed4f58a42197c2e4c2 SHA512 5e05206db5bc1b4177384f7e91ee79015c6e1bbdc7c31c997da054391b9b5ec7c1ebdec258a33f598986533894f3324b03d0b4b385b94e72a0517a3437553b39 WHIRLPOOL f92d4320ca5fd3e004a2ace41d14f0816dbea6fcfc9b10739a59d2dd393725a47c28f5b9f643d0b3243b9003701094ee953b38118412647155e8ba13fafe0582
DIST Pillow-4.2.1.tar.gz 12673417 SHA256 c724f65870e545316f9e82e4c6d608ab5aa9dd82d5185e5b2e72119378740073 SHA512 8a1c691f067c1127b941a94ae991c728c94eab876fe2a511ed0ad8af9702d4969325bd565b11e656ffefe867bf385725a5c14e3c28f8945730fa21986f934f69 WHIRLPOOL af93b67a60843d9f853921d5dd1332209cefc87a9680201cca5010f935527abcacac57e9d2afeac6bd3ccf8ab6636ffc2321e0888b73babfdb9ff0a933a77951
DIST Pillow-4.3.0.tar.gz 13874155 SHA256 a97c715d44efd5b4aa8d739b8fad88b93ed79f1b33fc2822d5802043f3b1b527 SHA512 5811252802bd01ac86157235d42138685e746723df48b67ec7c7ebd3f172532b40cf86ca9d3d792e82f03986303a084bf3491c0d511dc068dea1bc631afdeabb WHIRLPOOL 60b418d8e549f72a295c632a5caee148179d8bb931f63959fb4ee383db43e68bcab92789791fa912b74386410ac6023cc8232f3cdb0b7e7eb5a92467b8611034

@ -6,7 +6,6 @@
<name>Python</name>
</maintainer>
<use>
<flag name="ole">Add support for OLE2 image format</flag>
<flag name="imagequant">Build with Image Quantization Library support</flag>
</use>
<upstream>

@ -18,17 +18,17 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="HPND"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples imagequant jpeg jpeg2k lcms test tiff tk truetype webp zlib"
IUSE="doc examples imagequant jpeg2k lcms test tiff tk truetype webp zlib"
REQUIRED_USE="test? ( jpeg tiff )"
REQUIRED_USE="test? ( tiff )"
RDEPEND="
dev-python/olefile[${PYTHON_USEDEP}]
imagequant? ( media-gfx/libimagequant:0 )
jpeg? ( virtual/jpeg:0 )
virtual/jpeg:0
jpeg2k? ( media-libs/openjpeg:2= )
lcms? ( media-libs/lcms:2= )
tiff? ( media-libs/tiff:0=[jpeg?] )
tiff? ( media-libs/tiff:0=[jpeg] )
truetype? ( media-libs/freetype:2= )
webp? ( media-libs/libwebp:0= )
zlib? ( sys-libs/zlib:0= )"
@ -48,7 +48,6 @@ src_compile() {
distutils-r1_src_compile \
--disable-raqm \
$(use_enable truetype freetype) \
$(use_enable jpeg) \
$(use_enable jpeg2k jpeg2000) \
$(use_enable lcms) \
$(use_enable tiff) \

@ -18,17 +18,17 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="HPND"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples imagequant jpeg jpeg2k ole lcms test tiff tk truetype webp zlib"
IUSE="doc examples imagequant jpeg2k lcms test tiff tk truetype webp zlib"
REQUIRED_USE="test? ( jpeg tiff )"
REQUIRED_USE="test? ( tiff )"
RDEPEND="
dev-python/olefile[${PYTHON_USEDEP}]
imagequant? ( media-gfx/libimagequant:0 )
jpeg? ( virtual/jpeg:0 )
virtual/jpeg:0
jpeg2k? ( media-libs/openjpeg:2= )
lcms? ( media-libs/lcms:2= )
ole? ( dev-python/olefile[${PYTHON_USEDEP}] )
tiff? ( media-libs/tiff:0=[jpeg?] )
tiff? ( media-libs/tiff:0=[jpeg] )
truetype? ( media-libs/freetype:2= )
webp? ( media-libs/libwebp:0= )
zlib? ( sys-libs/zlib:0= )"
@ -48,7 +48,6 @@ src_compile() {
distutils-r1_src_compile \
--disable-raqm \
$(use_enable truetype freetype) \
$(use_enable jpeg) \
$(use_enable jpeg2k jpeg2000) \
$(use_enable lcms) \
$(use_enable tiff) \

@ -14,7 +14,7 @@ SRC_URI="https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc examples test xcb"
# Note: xpyb is used as the C header, not Python modules

@ -18,7 +18,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~
IUSE="doc examples"
RDEPEND="
>=dev-python/pillow-2.4.0[tiff,truetype,jpeg,${PYTHON_USEDEP}]
>=dev-python/pillow-2.4.0[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
media-libs/libart_lgpl
sys-libs/zlib
"

@ -18,7 +18,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd6
IUSE="doc examples"
RDEPEND="
>=dev-python/pillow-2.4.0[tiff,truetype,jpeg,${PYTHON_USEDEP}]
>=dev-python/pillow-2.4.0[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
media-libs/libart_lgpl
sys-libs/zlib
"

@ -13,7 +13,7 @@ HOMEPAGE="https://github.com/marcandre/backports"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~ia64"
IUSE=""
all_ruby_prepare() {

@ -22,7 +22,7 @@ SRC_URI="https://github.com/rubychan/coderay/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Redcloth is an optional but automagically tested dependency. This

@ -1,2 +1,3 @@
DIST daemons-1.2.3.gem 24576 SHA256 0fbf1f7ef654e98fac324b43ab690576fbe8b66941693b473f4f27ef334c032d SHA512 05acecc07bc3f760472453dd11eb0231b9e7f2e04a783ab44dacecf9c666d01122d27fdb782d9973f475bc378e0e3e51795ad58e221f29b201b1ba5e0de1e277 WHIRLPOOL 9568c383912195964b0079df60f8342268a51d75c0251b50e5c747759b82463d3d79a597e593a24ee84eb8618a637bcb22cb842b7c9a43d67db1f0be41c72e5c
DIST daemons-1.2.4.tar.gz 27191 SHA256 34e28ad4f5b8fa402f7f2783949024da09575dcde6b8110242ca2048ad932608 SHA512 9b6f0202ad87704b441f150ae5c3f5086861ba220069b6e7219714b62c36711889fdd094cfc1de907e9fb4528e5f6bb42b5421b9bcc4ec286648349e78da280f WHIRLPOOL 4b0454884b1bec01eed876dabc3a9cb50b25bfd77d26c374ac6ee98d7d3c8ccc18b852a9da36e39ded2047f847961f6400af9d0ec0515c7afb826718e35ce3a7
DIST daemons-1.2.5.tar.gz 27475 SHA256 7ebf1fe54b24c45d168e3b897547b29fda5f84b0fc723f74abeaf81d852a5dfa SHA512 5d3db8e5917eff5a3946c385a1ac6f561d1e9d1d6cd87c0deb4c4777bdab33a5e4f889300ee61a2e68df0200d51b3ddd0aa01d9f2841104d01a866f3ee8c09ac WHIRLPOOL 9d2e2d833e16b4cde1cc90f4fc4435c2e5f87540ae10e1d8de201693f40772251ea4bccf0479358d28d803cabfbcb930e2070e5e01ccfd3cbe516990010f23c6

@ -0,0 +1,34 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby22 ruby23 ruby24"
RUBY_FAKEGEM_EXTRADOC="Releases README.md"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
inherit ruby-fakegem
DESCRIPTION="Wrap existing ruby scripts to be run as a daemon"
HOMEPAGE="https://github.com/thuehlinger/daemons"
SRC_URI="https://github.com/thuehlinger/daemons/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="examples"
all_ruby_prepare() {
sed -i -e '/\(pry\|simplecov\)/I s:^:#:' spec/spec_helper.rb || die
}
all_ruby_install() {
all_fakegem_install
use examples || return
insinto /usr/share/doc/${PF}/
doins -r examples
}

@ -21,7 +21,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${PN}-git-${PV}.
IUSE=""
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ppc ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ppc ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND+=" virtual/libffi"
DEPEND+=" virtual/libffi"

@ -16,7 +16,7 @@ HOMEPAGE="https://github.com/JEG2/highline"
IUSE=""
LICENSE="|| ( GPL-2 Ruby )"
SLOT="0"
KEYWORDS="~alpha amd64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
all_ruby_prepare() {
# fix up gemspec file not to call git

@ -18,7 +18,7 @@ HOMEPAGE="https://www.zenspider.com/projects/hoe.html"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc"
ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.9:5 )"

@ -15,7 +15,7 @@ DESCRIPTION="A JSON implementation as a Ruby extension"
HOMEPAGE="https://github.com/flori/json"
LICENSE="|| ( Ruby GPL-2 )"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""

@ -16,7 +16,7 @@ HOMEPAGE="https://github.com/seattlerb/minitest"
LICENSE="MIT"
SLOT="5"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
each_ruby_test() {

@ -20,7 +20,7 @@ DESCRIPTION="A gem to provide swappable JSON backends"
HOMEPAGE="https://github.com/intridea/multi_json"
LICENSE="MIT"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""

@ -16,7 +16,7 @@ HOMEPAGE="https://rack.github.com/"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RUBY_PATCHES=( ${PN}-1.2.1-gentoo.patch ${PN}-1.6-rewindable-ruby23.patch )

@ -24,7 +24,7 @@ SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "test? (

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save